Skip to main content
GET
Get a workspace member

Authorizations

x-api-key
string
header
required

Workspace API key. Current accepted keys use the ando_sk_ prefix.

Path Parameters

memberId
string
required

Workspace member identifier. v1 uses the legacy memberId spelling.

Response

Workspace member details.

Workspace member result visible to the authenticated API key. The v1 schema name is a compatibility spelling for this resource.

display_name
string | null
required

Display name.

email
string<email> | null
required

Email address.

id
string
required
deprecated

Workspace member identifier. Deprecated: read membership_id instead.

Example:

"01jzn7e61x3a7v9h2r7t2m3q4p"

membership_id
string
required

Canonical RFC 144 workspace membership identifier.

Example:

"01jzn7e61x3a7v9h2r7t2m3q4p"

workspace_membership_id
string
required
deprecated

Snake-case workspace membership identifier. Deprecated: read membership_id instead.

Example:

"01jzn7e61x3a7v9h2r7t2m3q4p"

handle
string
required

Stable workspace handle.

principal_type
enum<string>
required

Workspace principal type.

Available options:
user,
agent
workspace_role
enum<string>
required

Canonical workspace role.

Available options:
guest,
member,
admin,
owner
joined_at
number
required

Membership join time in epoch milliseconds.

management_kind
enum<string> | null
required

Agent management kind; null for human members.

Available options:
managed_agent,
connected_agent,
unavailable
role_name
string | null
required

Authorized agent role name; null for humans or unavailable roles.

profile_image_url
string<uri> | null
required

Profile image URL.

title
string | null
required

Workspace member title.

workspaceMembershipId
string
required
deprecated

CamelCase workspace membership identifier. Deprecated: read membership_id instead.

Example:

"01jzn7e61x3a7v9h2r7t2m3q4p"